const fs = require('fs')
const path = require('path')

const componentsDir = path.resolve(__dirname, 'dist/components')

fs.readdir(componentsDir, { withFileTypes: true }, (err, entries) => {
  if (err) {
    console.error('Error al leer el directorio de componentes:', err)
    process.exit(1)
  }

  entries.forEach(entry => {
    if (entry.isDirectory()) {
      const componentDirPath = path.join(componentsDir, entry.name)
      const packageJson = {
        name: `${entry.name}`,
        private: true,
        module: './index.js',
        main: './index.js',
        types: './index.d.ts'
      }

      fs.writeFileSync(path.join(componentDirPath, 'package.json'), JSON.stringify(packageJson, null, 2))
      console.log(`package.json creado para el componente ${entry.name}`)
    }
  })
})
